FIGURES_SVG=$(wildcard raw_img/*.svg)
FIGURES_PDF=$(FIGURES_SVG:.svg=.pdf_tex)
FIGURES_PNG=$(FIGURES_SVG:.svg=.png)

DOT_DOT=$(wildcard dot/*.dot)
DOT_PNG=$(DOT_DOT:.dot=.png)

UML_PUML=$(wildcard puml/*.puml)
UML_PNG=$(UML_PUML:.puml=.png)
UML_SVG=$(UML_PUML:.puml=.svg)

all : rapport.pdf poster.pdf
	echo "done"

rapport.pdf : rapport.tex rapport.bib $(FIGURES_PNG) $(UML_PNG) png_img/gain_action.png $(DOT_PNG)
	lualatex -shell-escape rapport.tex
	makeglossaries rapport 
	lualatex -shell-escape rapport.tex
	bibtex rapport
	lualatex -shell-escape rapport.tex
	lualatex -shell-escape rapport.tex

poster.pdf : poster.tex poster.bib $(FIGURES_PNG) $(UML_PNG) png_img/gain_action.png $(DOT_PNG)
	lualatex -shell-escape poster.tex
	bibtex poster 
	lualatex -shell-escape poster.tex
	lualatex -shell-escape poster.tex

rapport.bib : biblio.bib
	cp biblio.bib rapport.bib

poster.bib : biblio.bib
	cp biblio.bib poster.bib

png_img/gain_action.png :
	python3 png_img/gen_fig_g.py

clean : clean-rapport clean-poster
	rm -f -r svg_img/*.png
	rm -f -r svg_img/*.pdf
	rm -f -r svg_img/*.pdf_tex
	rm -f -r puml/*.svg
	rm -f -r puml/*.png
	rm -f -r dot/*.png
	rm -f rapport.pdf
	rm -f poster.pdf

clean-rapport :
	rm -f rapport.aux
	rm -f rapport.bbl
	rm -f rapport.bib
	rm -f rapport.blg
	rm -f rapport.out
	rm -f rapport.log
	rm -f rapport.toc
	rm -f rapport.lof
	rm -f rapport.lot
	rm -f rapport.lol
	rm -f rapport.ist
	rm -f rapport.glg
	rm -f rapport.gls
	rm -f rapport.glo
	rm -f texput.log

clean-poster :
	rm -f poster.aux
	rm -f poster.bbl
	rm -f poster.bib
	rm -f poster.blg
	rm -f poster.out
	rm -f poster.log
	rm -f poster.toc
	rm -f poster.lof
	rm -f poster.lot
	rm -f poster.lol
	rm -f poster.ist
	rm -f poster.glg
	rm -f poster.gls
	rm -f poster.glo
	rm -f texput.log

svg_img/%.pdf : svg_img/%.svg svg_img/%.pdf_tex
	inkscape -D -z --file=$< --export-pdf=$@ --export-latex

svg_img/%.pdf_tex : svg_img/%.svg
	inkscape -D -z --file=$< --export-pdf=$@ --export-latex

svg_img/%.png : svg_img/%.svg
	inkscape $< --export-type=png --export-filename=$@

puml/%.svg : puml/%.puml
	plantuml -tsvg $<

puml/%.png : puml/%.svg
	inkscape $< --export-type=png --export-filename=$@

dot/%.png : dot/%.dot
	dot -Tpng -o $@ $<